pw_impl_core_events Struct Reference
Implementation API » Core Impl

Factory events, listen to them with pw_impl_core_add_listener. More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| the core is destroyed More...
void(* | free )(void *data)
| the core is freed More...
void(* | initialized )(void *data)
| the core is initialized More...

## Detailed Description

Factory events, listen to them with pw_impl_core_add_listener.

## Field Documentation

## version

uint32_t pw_impl_core_events::version

## destroy

void(* pw_impl_core_events::destroy) (void *data)

the core is destroyed

## free

void(* pw_impl_core_events::free) (void *data)

the core is freed

## initialized

void(* pw_impl_core_events::initialized) (void *data)

the core is initialized

The documentation for this struct was generated from the following file:

- pipewire/impl-core.h